classification
Title: xreload.py won't update class docstrings
Type: Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: gvanrossum Nosy List: gvanrossum, jimjjewett
Priority: normal Keywords:

Created on 2007-03-18 22:48 by jimjjewett, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Messages (2)
msg31567 - (view) Author: Jim Jewett (jimjjewett) Date: 2007-03-18 22:48
"""
def _update_class(oldclass, newclass):
    ...
    for name in oldnames & newnames - {"__dict__", "__doc__"}:
        setattr(oldclass, name,  _update(olddict[name], newdict[name]))
    return oldclass
"""

I assume __doc__ is skipped because a string can't be updated in place.  But since oldclass is returned, __doc__ should still be replaced with the updated documentation.
msg55451 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-08-30 00:21
I'm not doing development on xreload ATM.
History
Date User Action Args
2008-01-06 22:29:46adminsetkeywords: - py3k
versions: + Python 3.0
2007-08-30 00:21:16gvanrossumsetstatus: open -> closed
messages: + msg55451
2007-03-18 22:48:39jimjjewettcreate